#ifndef _LIBUSART_H
#define _LIBUSART_H

//#include <pic12f675.h>	// /usr/share/sdcc/non-free/include/pic14/pic12f675.h, /usr/share/sdcc/include/pic14/pic12f675.h
#include "inline.h"
#include "libwait.h"

/*			  _______
	Vcc		-|	 U	 |-	GND
	RX		-|5		0|-
	TX		-|4		1|-
			-|3_____2|-
*/

#define USART_PORT GPIO
#define TX_BIT 4
#define RX_BIT 5

extern void initUsart();
extern unsigned char receiveUsart();
extern void transmitUsart(unsigned char c);
extern void transmitUsartNb(unsigned char c);

#endif /* _LIBUSART_H */

